Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class URLPersonalizationObject

    java.lang.Object
      |
      +--oracle.portal.provider.v2.preference.NameValuePreferenceDataObject
            |
            +--oracle.portal.provider.v2.personalize.NameValuePersonalizationObject
                  |
                  +--oracle.portal.provider.v2.URLPersonalizationObject

All Implemented Interfaces:
  PersonalizationObject, PreferenceDataObject

public synchronized class URLPersonalizationObject
extends NameValuePersonalizationObject

Field Summary
`static java.lang.String` | `PORTLET_PARAMETER_VALUE`
`static java.lang.String` | `QUALIFY_PARAMETERS`

Constructor Summary
`URLPersonalizationObject()`

Method Summary
`void` | `init(PortletReference)` Init method used to initialize the data object after instantiation via its null constructor.
`void` | `setDefaultValues(PortletRenderRequest)`

Methods inherited from class oracle.portal.provider.v2.personalize.NameValuePersonalizationObject
`getPortletShortTitle, getPortletTitle, getReferencePath, setPortletShortTitle, setPortletTitle, setReferencePath`

Methods inherited from class oracle.portal.provider.v2.preference.NameValuePreferenceDataObject
`getBoolean, getBooleanArray, getContentVersion, getDouble, getDoubleArray, getFloat, getFloatArray, getInteger, getIntegerArray, getLong, getLongArray, getNames, getString, getStringArray, putBoolean, putBooleanArray, putDouble, putDoubleArray, putFloat, putFloatArray, putInteger, putIntegerArray, putLong, putLongArray, putString, putStringArray, read, remove, setContentVersion, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.portal.provider.v2.preference.PreferenceDataObject
`getContentVersion, read, setContentVersion, write`

Field Detail

### PORTLET_PARAMETER_VALUE

    public static final java.lang.String PORTLET_PARAMETER_VALUE

See Also:
  Constant Field Values

### QUALIFY_PARAMETERS

    public static final java.lang.String QUALIFY_PARAMETERS

See Also:
  Constant Field Values

Constructor Detail

### URLPersonalizationObject

    public URLPersonalizationObject()

Method Detail

### init

    public void init(PortletReference)

  Description copied from class: `NameValuePersonalizationObject`
  Init method used to initialize the data object after instantiation via its null constructor. Defined by the PersonalizationObject interface. Personalization manager is expected to call the init method of data objects that implement the PersonalizationObject interface.

  Behavior is to initialize the title using the (static) title from the portlet metadata (`portlet.getTitle()`). The portlet's default Locale is used to retrieve the title.

  Specified by:
    `init` in interface `PersonalizationObject`
  Overrides:
    `init` in class `NameValuePersonalizationObject`

### setDefaultValues

    public void setDefaultValues(PortletRenderRequest)

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.